[Unit]
Description=Configure nftables to use the floating ip when connecting to the mailserver
After=networking.service
After=planner_backoffice.service planner_public.service

[Service]
ExecStart=/usr/bin/bash -c "iptables -t nat -S POSTROUTING 1 | grep -q {{ floating_ip }} || iptables -t nat -I POSTROUTING 1 -s 172.16.16.0/24 -d {{ mailserver_ip }} -j SNAT --to-source {{ floating_ip }}"
Type=oneshot

[Install]
WantedBy=planner_public.service planner_backoffice.service

# vim: ft=systemd
